<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY gsound-download-http "&gnome-download-http;/gsound/1.0/gsound-&gsound-version;.tar.xz">
  <!ENTITY gsound-download-ftp  " ">
  <!ENTITY gsound-md5sum        "7338c295034432a6e782fd20b3d04b68">
  <!ENTITY gsound-size          "24 KB">
  <!ENTITY gsound-buildsize     "864 KB">
  <!ENTITY gsound-time          "less than 0.1 SBU">
]>

<sect1 id="gsound" xreflabel="gsound-&gsound-version;">
  <?dbhtml filename="gsound.html"?>


  <title>GSound-&gsound-version;</title>

  <indexterm zone="gsound">
    <primary sortas="a-gsound">gsound</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to GSound</title>

    <para>
      The <application>gsound</application> package contains a small
      library for playing system sounds.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&gsound-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&gsound-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &gsound-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &gsound-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &gsound-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &gsound-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">gsound Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="libcanberra"/>
    </para>

    <bridgehead renderas="sect4">Recommended</bridgehead>
    <para role="recommended">
      &gobject-introspection; and
      <xref linkend="vala"/>
    </para>

    <bridgehead renderas="sect4">Optional</bridgehead>
    <para role="optional">
      <xref linkend="gtk-doc"/> (for generating documentation)
    </para>

  </sect2>

  <sect2 role="installation">
    <title>Installation of GSound</title>

    <para>
      Install <application>gsound</application> by running the following
      commands:
    </para>

<screen><userinput>mkdir build &amp;&amp;
cd    build &amp;&amp;

meson setup --prefix=/usr --buildtype=release .. &amp;&amp;
ninja</userinput></screen>

    <para>
      This package does not come with a test suite.
    </para>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>ninja install</userinput></screen>
  </sect2>

  <sect2 role="commands">
    <title>Command Explanations</title>

    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
      href="../../xincludes/meson-buildtype-release.xml"/>

  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Programs</segtitle>
      <segtitle>Installed Libraries</segtitle>
      <segtitle>Installed Directories</segtitle>

      <seglistitem>
        <seg>
          gsound-play
        </seg>
        <seg>
          libgsound.so
        </seg>
        <seg>
          /usr/share/gtk-doc/html/gsound
        </seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="gsound-play">
        <term><command>gsound-play</command></term>
        <listitem>
          <para>
            plays system sounds through the libgsound interface
          </para>
          <indexterm zone="gsound gsound-play">
            <primary sortas="b-gsound-play">gsound-play</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="libgsound">
        <term><filename class="libraryfile">libgsound.so</filename></term>
        <listitem>
          <para>
            contains API functions for playing system sounds
          </para>
          <indexterm zone="gsound libgsound">
            <primary sortas="c-libgsound">libgsound.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>
    </variablelist>
  </sect2>

</sect1>
